#!/usr/bin/env python3

#Imports the get_allspecies_rank script
from ncbi_data.obtain_species_ncbi import get_allspecies_rank

# Tests if the script is working by making a search and asserting with a known result
def test_allspecies_rank():
    assert get_allspecies_rank([{'TaxId': '131567', 'ScientificName': 'cellular organisms', 'Rank': 'no rank'}, {'TaxId': '2759', 'ScientificName': 'Eukaryota', 'Rank': 'superkingdom'}, {'TaxId': '33154', 'ScientificName': 'Opisthokonta', 'Rank': 'no rank'}, {'TaxId': '33208', 'ScientificName': 'Metazoa', 'Rank': 'kingdom'}, {'TaxId': '6072', 'ScientificName': 'Eumetazoa', 'Rank': 'no rank'}, {'TaxId': '33213', 'ScientificName': 'Bilateria', 'Rank': 'no rank'}, {'TaxId': '33511', 'ScientificName': 'Deuterostomia', 'Rank': 'no rank'}, {'TaxId': '7711', 'ScientificName': 'Chordata', 'Rank': 'phylum'}, {'TaxId': '89593', 'ScientificName': 'Craniata', 'Rank': 'subphylum'}, {'TaxId': '7742', 'ScientificName': 'Vertebrata', 'Rank': 'no rank'}, {'TaxId': '7776', 'ScientificName': 'Gnathostomata', 'Rank': 'no rank'}, {'TaxId': '117570', 'ScientificName': 'Teleostomi', 'Rank': 'no rank'}, {'TaxId': '117571', 'ScientificName': 'Euteleostomi', 'Rank': 'no rank'}, {'TaxId': '8287', 'ScientificName': 'Sarcopterygii', 'Rank': 'superclass'}, {'TaxId': '1338369', 'ScientificName': 'Dipnotetrapodomorpha', 'Rank': 'no rank'}, {'TaxId': '32523', 'ScientificName': 'Tetrapoda', 'Rank': 'no rank'}, {'TaxId': '32524', 'ScientificName': 'Amniota', 'Rank': 'no rank'}, {'TaxId': '8457', 'ScientificName': 'Sauropsida', 'Rank': 'no rank'}, {'TaxId': '32561', 'ScientificName': 'Sauria', 'Rank': 'no rank'}, {'TaxId': '8504', 'ScientificName': 'Lepidosauria', 'Rank': 'superorder'}, {'TaxId': '8509', 'ScientificName': 'Squamata', 'Rank': 'order'}, {'TaxId': '1329961', 'ScientificName': 'Bifurcata', 'Rank': 'no rank'}, {'TaxId': '1329950', 'ScientificName': 'Unidentata', 'Rank': 'no rank'}, {'TaxId': '1329912', 'ScientificName': 'Episquamata', 'Rank': 'no rank'}, {'TaxId': '1329976', 'ScientificName': 'Laterata', 'Rank': 'no rank'}, {'TaxId': '1329975', 'ScientificName': 'Lacertibaenia', 'Rank': 'no rank'}, {'TaxId': '8522', 'ScientificName': 'Lacertidae', 'Rank': 'family'}, {'TaxId': '162266', 'ScientificName': 'Lacertinae', 'Rank': 'subfamily'}, {'TaxId': '399534', 'ScientificName': 'Timon', 'Rank': 'genus'}],'genus') == ['Timon tangitanus', 'Timon lepidus', 'Timon pater', 'Timon princeps']
